%global momorel 17
%global gs_fontpath %{_datadir}/fonts/type1/urw:%{_datadir}/fonts/default/amspsfnt/pfb:%{_datadir}/fonts/default/cmpsfont/pfb:%{_datadir}/fonts/default/ghostscript:%{_datadir}/fonts/truetype/chinese-zh_CN:%{_datadir}/fonts/truetype/chinese-zh_TW:%{_datadir}/fonts/truetype/japanese:%{_datadir}/fonts/truetype/korean:%{_datadir}/fonts/CID/kochi

%global gs_ver		7.07
%global espgs_ver	7.07.1
%global espgs_date	20031119

Summary: A PostScript(TM) interpreter and renderer.
Name: ghostscript

%{?include_specopt}
%{!?with_cups:%global with_cups 1}
%{!?with_stp:%global with_stp 1}

Version: %{gs_ver}
Release: %{momorel}m
Requires: ghostscript-fonts
Requires: urw-fonts >= 8.11
Requires: cmpskit >= 3
Requires: truetype-fonts-zh_CN >= 2.11
Requires: truetype-fonts-zh_TW >= 2.11
#Requires: kochi-cidfont
Requires: truetype-fonts-ko >= 2.1
BuildPreReq: libpng-devel, gtk+1-devel
BuildPreReq: zlib-devel >= 1.1.4-5m
BuildPreReq: libtiff-devel
BuildPreReq: glib1-devel
BuildPreReq: libX11-devel, libXext-devel, libXi-devel, libXt-devel
BuildPreReq: autoconf >= 2.53
BuildPreReq: libstdc++-devel >= 3.4.1-1m
BuildPreReq: openssl-devel >= 0.9.8a
%if %{with_stp}
BuildPreReq: gimp-print-devel
%endif
%if %{with_cups}
BuildPreReq: cups-devel
%endif
Obsoletes: ghostscript-pdfencrypt
BuildRoot: %{_tmppath}/%{name}-%{gs_ver}-root

License: GPL
URL: http://www.cups.org/ghostscript.html
Group: Applications/Publishing
Source0: http://dl.sf.net/sourceforge/espgs/espgs-%{espgs_ver}-source.tar.bz2
NoSource: 0
%define jpeg_ver 6b
Source1: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v%{jpeg_ver}.tar.gz 
NoSource: 1
# Url for gs-cjk project, the source of Source9:
# http://www.gyve.org/gs-cjk/
%define cjk_ver 6.51-cjk-M2-R3
Source9: ftp://ftp.gyve.org/pub/gs-cjk/M2/gs%{cjk_ver}.tar.gz
Source13: ftp://ftp.gyve.org/pub/gs-cjk/adobe-cmaps-200204.tar.gz
NoSource: 13
Source16: ftp://ftp.gyve.org/pub/gs-cjk/acro5-cmaps-2001.tar.gz
NoSource: 16
Source20: CIDFnmap-cjk-20040713.tar.gz
Source30: http://takeno.iee.niit.ac.jp/~shige/FreeBSD/LBP/data/gdevlips-240-1.tar.gz
# The CJK patch is for an older version of ghostscript; some patches don't
# apply cleanly to the current one. Fixed versions here...
Source100: lib_gs_cidcm.ps.patch
Source101: lib_pdf_font.ps.patch

### patch between ESP gs release version and CVS snapshot
Patch0: espgs-%{espgs_ver}-%{espgs_date}.patch.bz2
Patch2: espgs-7.05.5-dll-cflags.patch
Patch3: espgs-7.05.5-gs_res.in.patch

Patch13: ghostscript-6.51-gcc296.patch
Patch14: ghostscript-7.07-ps2epsi.patch
Patch18: ghostscript-6.51-gs_path.patch
Patch19: ghostscript-6.51-ia64_jmp_buf.patch
Patch24: ghostscript-7.05-scripts.patch
Patch27: ghostscript-7.05-fPIC.patch
Patch28: ghostscript-7.05-gb18030.patch
Patch30: ghostscript-7.05-x11.patch
Patch100: eplaser-3.1.2.patch

Patch120: http://tagoh.jp/junk/ghostscript-7.07-gsublookuptable.patch
Patch121: http://tagoh.jp/junk/ghostscript-7.07-bigposttable.patch
Patch122: http://tagoh.jp/junk/ghostscript-7.07-coverage-glyphcount.patch

Patch123: http://www.aihara.co.jp/~taiji/gyve/tmp/fix_cidfontname_Encoding_CIDToGIDMap_DW_W.patch
Patch124: http://www.aihara.co.jp/~taiji/gyve/tmp/fix_rename_font_gs_cidfn.ps.patch
Patch125: http://www.aihara.co.jp/~taiji/gyve/tmp/modify_ps2pdfwr.patch

Patch130: espgs-7.07.1-gcc34.patch

# merge from fc3
Patch200: ghostscript-7.07-_ds.patch
Patch201: ghostscript-7.07-gdevcups-crash.patch
Patch202: ghostscript-7.07-lips4v-fix-pipe.patch
Patch203: ghostscript-7.07-badc.patch
Patch204: ghostscript-7.07-ps2epsi-2.patch
Patch205: ghostscript-7.07-pagesize.patch

Patch300: ghostscript-7.07-ppc.patch

%if %{with_cups}
%package cups
Summary: ESP Ghostscript Support for CUPS
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}
Requires: cups
%endif

%description
Ghostscript is a set of software that provides a PostScript(TM)
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files. Ghostscript
translates PostScript code into many common, bitmapped formats, like
those understood by your printer or screen. Ghostscript is normally
used to display PostScript files and to print PostScript files to
non-PostScript printers.

If you need to display PostScript files or print them to
non-PostScript printers, you should install ghostscript. If you
install ghostscript, you also need to install the ghostscript-fonts
package.

%if %{with_cups}
%description cups
ESP Ghostscript support for the Common UNIX Printing System
("CUPS"). This package is required to support non-PostScript
printers with CUPS.
%endif

%package devel
Summary: Files for developing applications that use ghostscript.
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries

%description devel
The header files for developing applications that use ghostscript.

%package gtk
Summary: A GTK-enabled PostScript(TM) interpreter and renderer.
Requires: %{name} = %{version}-%{release}
Group: Applications/Publishing

%description gtk
A GTK-enabled version of Ghostscript, called 'gsx'.

%package resource
Summary: ghostscript resources
Group: Applications/Publishing

%description resource
ghostscript resources

%prep
%setup -q -a 1 -a 9 -n espgs-%{espgs_ver}
%patch0 -p1
%patch2 -p0 -b .dll~
%patch3 -p0 -b .res~

# Set up the jpeg library
	ln -s jpeg-%{jpeg_ver} jpeg

# Apply the gs-cjk patches
	(cd gs%{cjk_ver}; cp -f %{SOURCE100} %{SOURCE101} .
			  rm	src_time_.h.patch \
				src_unix-gcc.mak.patch \
				src_gp_unifs.c.patch \
				lib_gs_res.ps.patch \
				lib_pdf_ops.ps.patch \
				src_zfont42.c.patch
	)
#	a="0"
#	for i in gs%{cjk_ver}/*.patch; do
#		cat $i |patch -p0 -b -V simple -z .cjk$a
#		a=`expr $a + 1`
#	done

	# Create a Resource directory
	mkdir Resource
	mkdir Resource/Font
	mkdir Resource/CIDFont
%setup -q -T -D -a 13 -a 16 -n espgs-%{espgs_ver}/Resource

	tar xzf ../gs%{cjk_ver}/install-cid.tar.gz

	# Replace CJK CIDFnmap files
%setup -q -T -D -a 20 -n espgs-%{espgs_ver}/lib

	cd ..

	# Fix some shell scripts
%patch24 -p1 -b .scripts

# Patch to make gcc296 happier
%patch13 -p1 -b .gcc296

# Patch to make ps2espi better/work
%patch14 -p0 -b .ps2epsi

# Fix the gs path in lprsetup.sh
%patch18 -p1 -b .gs_path

# Stupid ia64 jmp_buf alignment patch
%patch19 -p1 -b .ia64_jmp_buf

# Fix compilation with newer binutils
%patch27 -p1 -b .fPIC

# Add CIDnmap for GB18030 font (bug #71135)
%patch28 -p1 -b .gb18030

# Fix XLIBDIR
%patch30 -p1 -b .x11

# update eplaser driver
%patch100 -p0 -b .eplaser~

# patch to use kochi-substitute correctly
%patch120 -p1 -b .gsub~
%patch121 -p1 -b .posttbl~
%patch122 -p1 -b .glyphcount~

# see http://www.aihara.co.jp/~taiji/gyve/
%patch123 -p0 -b .glyphwidth~
%patch124 -p0 -b .fixrenamefont~
pushd lib
%patch125 -p0 -b .neverembed~
popd

# unpack gdevlips patch
# see http://takeno.iee.niit.ac.jp/~shige/FreeBSD/LBP/lbp.html
%setup -q -T -D -c -a 30 -n espgs-%{espgs_ver}/gdevlips

# just chdir ;)
%setup -q -D -T -n espgs-%{espgs_ver}

# apply gdevlips patch
pushd src
%__patch -b --suffix .lipsfix~ -s -p1 < ../gdevlips/gdevlips-240-1.diff
popd

%patch130 -p1 -b .gcc34~

# merge from fc3
%patch200 -p1 -b ._ds~
%patch201 -p1 -b .gdevcups-crash~
%patch202 -p1 -b .lips4v-fix-pipe~
%patch203 -p1 -b .badc~
%patch204 -p1 -b .ps2epsi-2~
%patch205 -p1 -b .pagesize~

%ifarch ppc
%patch300 -p1 -b .ppc~
%endif

%build
autoconf
%configure --with-ijs --with-drivers=ALL --with-fontpath=%gs_fontpath \
           --with-omni --with-x \
%if %{with_stp}
           --with-gimp-print \
%else
           --without-gimp-print \
%endif
%if %{with_cups}
           --enable-cups
%else
           --disable-cups
%endif

%make
%make so

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}/{%{_mandir},%{_bindir},%{_datadir},%{_docdir}}
mkdir -p %{buildroot}/{%{_libdir},%{_includedir}/ijs}

make install soinstall \
  prefix=%{buildroot}%{_prefix} \
  install_prefix=%{buildroot} \
  mandir=%{buildroot}%{_mandir} \
  datadir=%{buildroot}%{_datadir} \
  bindir=%{buildroot}%{_bindir} \
  libdir=%{buildroot}%{_libdir} \
  docdir=%{buildroot}%{_docdir}/%{name}-%{gs_ver} \
  exdir='$(docdir)/examples' \
  GS_LIB_DEFAULT='%{_datadir}/ghostscript/%{version}/lib:%{gs_fontpath}'

ln -sf gs.1.gz %{buildroot}/%{_mandir}/man1/ghostscript.1.gz
ln -sf gs %{buildroot}%{_bindir}/ghostscript

cp -a Resource %{buildroot}%{_datadir}/ghostscript/

# Don't ship sysvlp.sh.
rm -f %{buildroot}%{_bindir}/sysvlp.sh

# Header files.
mkdir -p %{buildroot}%{_includedir}/ghostscript
install -m0644 src/iapi.h %{buildroot}%{_includedir}/ghostscript
install -m0644 src/errors.h %{buildroot}%{_includedir}/ghostscript
install -m0644 src/gdevdsp.h %{buildroot}%{_includedir}/ghostscript

# The man/de/man1 symlinks are broken (bug #66238).
find %{buildroot}%{_mandir}/de/man1 -type l | xargs rm -f

MAIN_PWD=`pwd`
(cd %{buildroot}; find ./usr/share/ghostscript/%{gs_ver}/lib/* | \
  sed -e 's/\.//;' | grep -v lib/Fontmap | \
  grep -v lib/CIDFnmap | grep -v gs_init.ps > $MAIN_PWD/rpm.sharelist
  find .%{_bindir}/ | sed -e 's/\.//;' | \
  grep -v '/$\|/hpijs$\|/gsx$\|/ijs-config$' \
  >> $MAIN_PWD/rpm.sharelist)

%clean
rm -rf %{buildroot}

%files -f rpm.sharelist
%defattr(-,root,root)
%dir %{_datadir}/ghostscript
%dir %{_datadir}/ghostscript/%{gs_ver}
%dir %{_datadir}/ghostscript/%{gs_ver}/lib
%config %{_datadir}/ghostscript/%{gs_ver}/lib/gs_init.ps
%config %{_datadir}/ghostscript/%{gs_ver}/lib/CIDFnmap*
%config %{_datadir}/ghostscript/%{gs_ver}/lib/Fontmap*
%{_mandir}/*/man1/*
%{_mandir}/man1/*
%doc %{_docdir}/%{name}-%{gs_ver}
%{_libdir}/libgs.so.*
%{_libdir}/libgs.so

%if %{with_cups}
%files cups
%defattr(-,root,root)
%{_sysconfdir}/cups/*
%{_libdir}/cups/filter/*
%{_datadir}/cups/model/*
%endif

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ghostscript
%{_includedir}/ghostscript/*.h

%files gtk
%defattr(-,root,root)
%{_bindir}/gsx

%files resource
%defattr(-,root,root)
%{_datadir}/ghostscript/Resource/

%changelog
* Sun Jun 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.07-17m)
- revise %%files to avoid conflicting
- /usr/share/man/de/man1 is already provided by man

* Mon Apr 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.07-16m)
- rebuild against openssl-0.9.8a

* Mon Feb 28 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (7.07-15m)
- patch from fc3.
- fix for ppc segfault.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (7.07-14m)
- rebuild against libstdc++-3.4.1
- add BuildPrereq: libstdc++-devel
- add gcc34 patch

* Tue Jul 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (7.07-13m)
- use sazanami instead of kochi

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (7.07-12m)
- revised spec for enabling rpm 4.2.

* Thu Dec 18 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.07-11m)
- apply the patch for gdevlips
  see http://takeno.iee.niit.ac.jp/~shige/FreeBSD/LBP/lbp.html
  for details.

* Sun Nov 23 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.07-10m)
- update ESP ghostscript to CVS version as of 2003/11/19
- update eplaser-3.1.2.patch (diff between eplaser-3.1.1 and eplaser-3.1.2) 
- remove ghostscript-7.05-png.patch
  this version of espgs contains this fix

* Mon Nov 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (7.07-9m)
- apply eplaser-3.1.2.patch for more EPSON printers

* Wed Nov  5 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.07-8m)
- update ESP ghostscript to CVS version as of 2003/10/26
  (eplaser driver was updated to 3.1.1)
- remove eplaser-3.0.6.diff

* Tue Oct 21 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.07-7m)
- add the following three patches
  (handle NeverEmbed CJK TrueType into PDF,
   write correct glyph widths of CJK TrueType into PDF,
   and not to write CIDToGIDMap of NeverEmbed CJK TrueType and 
   Encoding of CIDFont into PDF).

    - fix_cidfontname_Encoding_CIDToGIDMap_DW_W.patch, 
    - fix_rename_font_gs_cidfn.ps.patch
    - modify_ps2pdfwr.patch

  see http://www.aihara.co.jp/~taiji/gyve/, [gs-cjk 02110], [gs-cjk 02111]
  for details.

* Wed Oct 15 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.07-6m)
- upgrade espgs to 7.07.1
- remove espgs-7.07-ps2pdfwr-gsoption.patch because this bug was fixed.
  cf. http://www.cups.org/str.php?L225
      http://www.cups.org/str.php?L230
- add BuildPrereq: libtiff-devel

* Wed Sep 17 2003 zunda <zunda at freeshell.org>
- (7.07-5m)
- espgs-7.07-ps2pdfwr-gsoption.patch to run ps2pdf,
  thanks to yamagoo at bf7.so-net.ne.jp

* Thu Aug 28 2003 Kazuhiko <kazuhiko@fdiary.net>
- (7.07-4m)
- TEMPORALLY use TTF version of Kochi fonts instead of CID one
- TEMPORALLY cancel 'Requires: kochi-cidfont'

* Thu Aug 21 2003 Hiroyuki KOGA <kuma@momonga-linux.org>
- (7.07-3m)
- modify %{gs_fontpath} to adjust to change of urw-font directory

* Sat Aug 16 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.07-2m)
- update ESP ghostscript to 7.07rc1
  remove espgs-7.07-no_pstopcl6.patch accordingly
- add ghostscript-7.07-coverage-glyphcount.patch
  and update ghostscript-7.07-gsublookuptable.patch (see [gs-cjk 02097])

* Sun Jul 27 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.07-1m)
- Update ESP ghostscript to CVS version as of 2003/07/20
  (ghostscript-7.07 has been imported to espgs).
- Add ghostscript-7.07-bigposttable.patch.
  With this patch applied, kochi-substitute can be used correctly.
  See the followings for details:
  Ref. - [gs-cjk 02088]
       - http://tagoh.jp/d/?date=20030723
         http://tagoh.jp/d/?date=20030724
         http://tagoh.jp/d/?date=20030725
  ghostscript-7.07-gsublookuptable.patch is also added,
  but disabled for now because it causes promblem in vertical writing mode.
- Add the knob to disable for building stp (%%with_stp).
  Those who do not want to require gimp-print can set this macro to 0
  in specopt. Note that ijsgimpprint can be used instead of stp,
  and stp will be obsoleted on gimp-print-4.3.
- use %%make and %%setup

* Wed May 28 2003 Kazuhiko <kazuhiko@fdiary.net>
- (7.05-12m)
- separate ghostscript-resource package

* Fri May 23 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.05-11m)
- [security] add ghostscript-pipe.patch to fix %%pipe%% security problem
  contained in GPL (GNU) ghostscript-7.07.
  see http://www.ghostscript.com/article/41.html

* Mon Apr 07 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.05-10m)
- rebuild against zlib 1.1.4-5m

* Thu Mar 27 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.05-9m)
- update ESP ghostscript to CVS version as of 2003/03/24 (post-7.05.6)
- update eplaser to 3.0.6
- depends on kochi-cidfont instead of truetype-fonts-ja

* Fri Mar 21 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (7.05-8m)
- explicitly supply --enable-cups/--disable-cups to configure
  if %%with_cups is set to 1/0 respectively.
- set %%with_cups to 1 by default

* Sat Mar 15 2003 Kikutani Makoto <poo@momonga-linux.org>
- (7.05-7m)
- subpackage ghostscript-cups 

* Tue Jan 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (7.05-6m)
- add png patch

* Sat Jan  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (7.05-5m)
- update eplaser to 3.0.4-651

* Sat Jan  4 2003 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (7.05-4m)
- Now, we use ESP ghostscript instead of GNU ghostscript
  since the former contains almost all nessesary printer drivers 
  and some bug fixes against the latter.

  The version of ESP ghostscript at this time is
  CVS snapshot as of 2002/12/28 (pre 7.05.6).

- separate ghostscript-fonts into another spec.
- remove some BuildPrereq:'s which seem to be unneeded.

* Tue Dec 24 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (7.05-3m)
- separate hpijs

* Fri Dec 20 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (7.05-2m)
- separate ijs
- Obsoletes: ghostscript-pdfencrypt
- make hpijs be NoSource

* Thu Dec  5 2002 Kazuhiko <kazuhiko@fdiary.net>
- (7.05-1m)
- import from rawhide
- drop VFlib support
- revise CIDFnmaps
- update eplaser to 3.0.4-651

* Tue Nov 26 2002 Tim Waugh <twaugh@redhat.com> 7.05-25
- Fix level 1 PostScript output (bug #78450).
- No need to carry gomni.c, since it comes from the patch.

* Mon Nov 11 2002 Tim Waugh <twaugh@redhat.com> 7.05-24
- Omni 071902 patch.

* Mon Nov 11 2002 Tim Waugh <twaugh@redhat.com> 7.05-23
- hpijs-1.3, with updated rss patch.
- Fix XLIBDIRS.

* Fri Oct 25 2002 Tim Waugh <twaugh@redhat.com> 7.05-22
- hpijs-rss 1.2.2.

* Mon Oct 14 2002 Tim Waugh <twaugh@redhat.com> 7.05-21
- Set libdir when installing.

* Thu Aug 15 2002 Tim Waugh <twaugh@redhat.com> 7.05-20
- Add cups device (bug #69573).

* Mon Aug 12 2002 Tim Waugh <twaugh@redhat.com> 7.05-19
- Fix the gb18030 patch (bug #71135, bug #71303).

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 7.05-18
- rebuilt with gcc-3.2 (we hope)

* Fri Aug  9 2002 Tim Waugh <twaugh@redhat.com> 7.05-17
- Add CIDnmap for GB18030 font (bug #71135).
- Fix URL (bug #70734).

* Tue Jul 23 2002 Tim Waugh <twaugh@redhat.com> 7.05-16
- Rebuild in new environment.

* Tue Jul  9 2002 Tim Waugh <twaugh@redhat.com> 7.05-15
- Remove the chp2200 driver again, to fix cdj890 (bug #67578).

* Fri Jul  5 2002 Tim Waugh <twaugh@redhat.com> 7.05-14
- For CJK font support, use CIDFnmap instead of CIDFont
  resources (bug #68009).

* Wed Jul  3 2002 Tim Waugh <twaugh@redhat.com> 7.05-13
- Build requires unzip and gtk+-devel (bug #67799).

* Wed Jun 26 2002 Tim Waugh <twaugh@redhat.com> 7.05-12
- File list tweaking.
- More file list tweaking.

* Tue Jun 25 2002 Tim Waugh <twaugh@redhat.com> 7.05-10
- Rebuild for bootstrap.

* Wed Jun 19 2002 Tim Waugh <twaugh@redhat.com> 7.05-9
- Omni 052902 patch.

* Mon Jun 10 2002 Tim Waugh <twaugh@redhat.com> 7.05-8
- Requires recent version of patchutils (bug #65947).
- Don't ship broken man page symlinks (bug #66238).

* Wed May 29 2002 Tim Waugh <twaugh@redhat.com> 7.05-7
- Put gsx in its own package.

* Tue May 28 2002 Tim Waugh <twaugh@redhat.com> 7.05-6
- New gomni.c from IBM to fix an A4 media size problem.
- Use new Adobe CMaps (bug #65362).

* Sun May 26 2002 Tim Powers <timp@redhat.com> 7.05-5
- automated rebuild

* Wed May 22 2002 Tim Waugh <twaugh@redhat.com> 7.05-4
- New gomni.c from IBM to fix bug #65269 (again).

* Tue May 21 2002 Tim Waugh <twaugh@redhat.com> 7.05-2
- Don't apply bogus parts of vflib patch (bug #65268).
- Work around Omni -sPAPERSIZE=a4 problem (bug #65269).

* Mon May 20 2002 Tim Waugh <twaugh@redhat.com> 7.05-1
- 7.05.
- No longer need mkstemp, vflib.fixup, quoting, or PARANOIDSAFER
  patches.
- Don't apply CJK patches any more (no longer needed).
- Updated Source15, Patch0, Patch10, Patch5, Patch24, Patch14, Patch12.
- Made gdevdmpr.c compile again.
- Move gimp-print to a separate package.
- Ship the shared object too (and a .so file that is dlopened).
- Update Omni patch.  No longer need Omni_path, Omni_quiet, Omni_glib patches.
- Require Omni >= 0.6.1.
- Add patch to fix gtk+ initial window size.
- Add devel package with header files.
- Turn on IJS support.
- Update hpijs to 1.1.
- Don't ship the hpijs binary in the ghostscript package.
- Use -fPIC when building ijs.

* Wed Apr  3 2002 Tim Waugh <twaugh@redhat.com> 6.52-8
- New CIDFonts (bug #61015).

* Wed Apr  3 2002 Tim Waugh <twaugh@redhat.com> 6.52-7
- Fix release numbers of sub packages.
- Handle info files, use ldconfig (bug #62574).

* Tue Mar 19 2002 Tim Waugh <twaugh@redhat.com> 6.52-6
- Fix config patch so that gs --help displays the right thing.
- Don't ship sysvlp.sh.
- Fix some shell scripts.
- Ship escputil man page (bug #58919).

* Mon Feb 11 2002 Tim Waugh <twaugh@redhat.com> 6.52-5
- Add CHP2200 driver (bug #57516).
- Fix gimp-print-4.2.0 so that it builds without cups-config.

* Sat Feb  2 2002 Bill Nottingham <notting@redhat.com> 6.52-4
- do condrestart in %postun, not %post

* Fri Feb  1 2002 Bernhard Rosenkraenzer <bero@redhat.com> 6.52-3
- Restart service cups after installing gimp-print-cups

* Sun Jan 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 6.52-2
- hpijs is finally free - support it.
- Add extra package for CUPS support

* Mon Jan 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 6.52-1
- Updates:
  - ghostscript 6.52
  - hpdj 2.6 -> pcl3 3.3
  - CJK Patchlevel 3, adobe-cmaps 200109
  - gimp-print 4.2.0
- Adapt patches
- Fix various URLs
- Begin cleaning up spec file
- Fix bugs #21879 and #50923

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-16
- update the Omni driver, and patch it to seek in /usr/lib/Omni/ first
- require Omni

* Mon Oct 01 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-15
- change -dPARANOIDSAFER to punch a hole for OutputFile

* Mon Sep 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-14
- add -dPARANOIDSAFER to let us breathe a little easier in the print spooler.

* Thu Sep 13 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-13
- apply jakub's fix to ghostscript's jmp_buf problems; #49591

* Wed Sep  5 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-12
- fix lprsetup.sh; #50925

* Fri Aug 24 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-11
- added Epson's old eplaseren drivers,
- pointed out by Till Kamppeter <till.kamppeter@gmx.net>

* Tue Aug 21 2001 Paul Howarth <paul@city-fan.org> 6.51-10
- included Samsung GDI driver for ML-4500 printer support.

* Sun Aug 19 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-9
- applied IBM's glib patches for Omni, which now works.
- BE AWARE: we now link against libstdc++ and glib for this, and use a c++
- link stage to do the dirty.
- added glib-devel buildreq and glib req, I don't think we require everything
- yet, I could pull in sasl.

* Sun Aug 19 2001 David Suffield <david_suffield@hp.com> 6.51-8
- Added gs device hpijs and updated gdevhpij.c to hpijs 0.97

* Wed Aug 15 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-7
- pull in ynakai's update to the cjk resources.

* Thu Aug  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-6
- turn dmprt and cdj880 back on. for some reason, they work now.
- voodoo, who knows.

* Thu Aug  9 2001 Yukihiro Nakai <ynakai@redhat.com> 6.51-5
- Add cjk resources

* Thu Aug  1 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-4
- applied drepper@redhat.com's patch for #50300
- fixed build deps on zlib-devel and libpng-devel, #49853
- made gs_init.ps a config file; #25096
- O\^/nZ the daTa directorieZ now; #50693

* Tue Jul 24 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-3
- wired up the Resource dir and the Font and CIDFont maps.

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 6.51-2
- luckily, I had a spare chicken. Thanks to some work by Nakai, and one last
- desperate search through google, everything /seems/ to be working. I know
- that there are going to be problems in the japanese code, and I need to turn
- on the cjk font map from adobe, but it /works/ at the moment.

* Thu Jun 21 2001 Crutcher Dunnavant <crutcher@redhat.com>
- upgraded to 6.51, a major version upgrade
- rewrote spec file, threw out some patches
- turned on IBM's Omni print drivers interface
- turned on HP's hpijs print drivers interface
- turned on every driver that looked usable from linux
- sacrificed a chicken to integrate the old Japanese drivers
- - This didn't work. The japanese patches are turned off, pending review.
- - I can do loops with C, but the bugs are in Postscript init files

* Wed Apr 11 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added P. B. West's lx5000 driver

* Tue Feb 27 2001 Crutcher Dunnavant <crutcher@redhat.com>
- added xtt-fonts requirement (for VFlib)

* Fri Feb  9 2001 Adrian Havill <havill@redhat.com>
- cmpskit removed as a build prereq

* Thu Feb  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- merged in some patches that got away:
-	* Fri Sep  1 2000 Mitsuo Hamada <mhamada@redhat.com>
	- add support JIS B size
	- fix the problem of reconverting GNUPLOT output

* Thu Feb  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- switched to japanese for everybody

* Thu Feb  8 2001 Crutcher Dunnavant <crutcher@redhat.com>
- tweaked time_.h to test for linux, and include the right
- header

* Wed Feb  7 2001 Crutcher Dunnavnat <crutcher@redhat.com>
- added the lxm3200 driver

* Mon Dec 11 2000 Crutcher Dunnavant <crutcher@redhat.com>
- merged in the (accendental) branch that contained the mktemp
- and LD_RUN_PATH bug fixes.

* Tue Oct 17 2000 Jeff Johnson <jbj@redhat.com>
- tetex using xdvi with ghostscript patch (#19212).

* Tue Sep 12 2000 Michael Stefaniuc <mstefani@redhat.com>
- expanded the gcc296 patch to fix a compilation issue with the new stp
  driver

* Mon Sep 11 2000 Michael Stefaniuc <mstefani@redhat.com>
- added the stp driver from the gimp-print project.
  It supports high quality printing especialy with Epson Stylus Photo.

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new libpng

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the cdj880 patch (Bug #14978)
- Fix build with gcc 2.96

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- turn off japanese support

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul 07 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fixed the broken inclusion of files in /usr/doc
- Build requires freetype-devel

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- build japanese support in main distribution
- FHS manpage paths

* Sun Mar 26 2000 Chris Ding <cding@redhat.com>
- enabled bmp16m driver

* Thu Mar 23 2000 Matt Wilson <msw@redhat.com>
- added a boatload of Japanese printers

* Thu Mar 16 2000 Matt Wilson <msw@redhat.com>
- add japanese support, enable_japanese macro

* Mon Feb 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.50 at last...
- hpdj 2.6
- Added 3rd party drivers:
  - Lexmark 5700 (lxm5700m)
  - Alps MD-* (md2k, md5k)
  - Lexmark 2050, 3200, 5700 and 7000 (lex2050, lex3200, lex5700, lex7000)

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to compress man page
- fix gs.1 symlink

* Wed Jan 26 2000 Bill Nottingham <notting@redhat.com>
- add stylus 740 uniprint files

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- add lq850 dot matrix driver (#6357)

* Thu Oct 28 1999 Bill Nottingham <notting@redhat.com>
- oops, include oki182 driver.

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- don't optimize on Alpha. This way it works.

* Thu Jul 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- added hpdj driver
- changed build to use tar_cat so adding new drivers is sane

* Thu Jul  1 1999 Bill Nottingham <notting@redhat.com>
- add OkiPage 4w+, HP 8xx drivers
* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- fix typo in config patch.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Mon Mar 15 1999 Cristian Gafton <gafton@redhat.com>
- added patch from rth to fix alignement problems on the alpha.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Bill Nottingham <notting@redhat.com>
- add uniprint .upp files

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fontpath update.

* Wed Dec 23 1998 Preston Brown <pbrown@redhat.com>
- updates for ghostscript 5.10

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- updated to use shared urw-fonts package.
* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- turned on truetype (ttf) font support.

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.03.

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- enabled more printer drivers
- buildroot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Made /usr/share/ghostscript/3.33/Fontmap a config file.
